#!/bin/bash

export PYTHONPATH=/usr/share/rhn/
something_failed=""
status_string=""
for i in `cat tests.manifest | grep -v \#`
do
	echo $i
	/usr/bin/python $i
	ret=$?
	if [ "$ret" -ne "0" ] ; then
		status_string="$status_string\n$i failed"
		something_failed=1
	fi
	status_string="$status_string\n$i passed"
done

echo $status_string
if [ "$something_failed" == "1" ] ; then
	exit 1
fi

