#!/usr/bin/python

import sys
import os
import string
import rpm
sys.path.append("../")

import up2dateErrors 
# lots of useful util methods for building/tearing down
# test enviroments...
import testutils

import unittest

import rhnChannel
import genericTestRepo

#Import the modules you need to test...
from repoBackends import dirRepo

def write(blip):
    sys.stdout.write("\n|%s|\n" % blip)


class TestDirRepoSource(genericTestRepo.TestGenericRepoSource):
    def __init__(self, methodname):
        self.channelname = "directory-testrpms"
        self.configname = "fc2-dir-sources-1"
        self.repoClass = dirRepo.DirRepoSource
        self.pkgToGet = ["htmlview", "3.0.0", "3", "", "noarch", 6279,
               "directory-testrpms", "/usr/src/rhn/up2date/test/test-packages/signed-fedora-key-1.1-1.1.noarch.rpm"]
        genericTestRepo.TestGenericRepoSource.__init__(self, methodname)
    
    def setUp(self):
        import glob
        files = glob.glob("/var/spool/up2date/%s*" % self.channelname)
        for file in files:
            os.unlink(file)
	self.__setupData()

    def __setupData(self):
        import testutils
        testutils.setupConfig(self.configname)

    def tearDown(self):
        import testutils
        testutils.restoreConfig()
        
##class TestDirRepoSolveDep(unittest.TestCase):
##    def setUp(self):
##        import glob
##        files = glob.glob("/var/spool/up2date/directory-testrpms*")
##        for file in files:
##            os.unlink(file)
##	self.__setupData()

##    def __setupData(self):
##        import testutils
##        testutils.setupConfig("fc2-dir-sources-1")

##    def tearDown(self):
##        import testutils
##        testutils.restoreConfig()

##    def testSolveDep(self):
##        "Verify that DirSolveDep runs without error"
##        sd = dirRepo.DirSolveDep()
##        ret = sd


 
if __name__ == "__main__":
    import sys
    import myunittest
    myunittest.main(argv=sys.argv, covmodule=dirRepo)

    

