#!/usr/bin/python

import sys
import string
import rpm
sys.path.append("../")

import up2dateErrors 
# lots of useful util methods for building/tearing down
# test enviroments...
import testutils

import unittest

#Import the modules you need to test...
import lilocfg 

def write(blip):
    sys.stdout.write("\n|%s|\n" % blip)


class TestLilocfg(unittest.TestCase):
    def setUp(self):
	self.__setupData()

    def __setupData(self):
        pass
        
    def testBackupName(self):
	labelName = "foo"
	list = ["2.4.10", "2.6.0", "2.4.5-123", "2.4.1232-234234234"]
	bu = lilocfg.backupName(labelName, list)
	write(bu)

    # these are for testing #117523
    def testLongBackupName(self):
	labelName = "foo-bar-blip-baz"
        list = ["2.4.10", "2.6.0", "2.4.5-123", "2.4.1232-234234234"]
        bu = lilocfg.backupName(labelName, list)
	assert len(bu) == 14	

    def testAllLengthBackupName(self):
	blip = ""
	for i in range(1, 25):
	    blip = ""
	    for j in range(1,i):
		blip = blip + "a"

	    labelName = blip
	    list = ["2.4.10", "2.6.0", "2.4.5-123", "2.4.1232-234234234"]
            bu = lilocfg.backupName(labelName, list)
	    #write("%s %s" % (bu, len(bu)))
	    assert len(bu) <= 14 
 
if __name__ == "__main__":
    import sys
    unittest.main(argv=sys.argv)

    

